package company_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CompanyauthBankaccountconfirmRequest struct {
	// 【认证ID】认证ID
	RequestId string `json:"requestId"`
	// 【打款金额】打款金额
	Amount *float64 `json:"amount"`
}

func (obj CompanyauthBankaccountconfirmRequest) GetUrl() string {
	return "/companyauth/bankaccountconfirm"
}

func (obj CompanyauthBankaccountconfirmRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("requestId", obj.RequestId)
	parameter.AddParam("amount", obj.Amount)
	return parameter
}
